Package twisted :: Package conch :: Package ssh :: Module session :: Class SSHSession

[show private | hide private]
[frames | no frames]

## Class SSHSession

    SSHChannel --+
                 |
                SSHSession

Method Summary
| `__init__(self, *args, **kw)`
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window. (inherited from `SSHChannel`)
| ``channelOpen`(self, specificData)` Called when the channel is opened. (inherited from `SSHChannel`)
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error).
`tuple` | ``getHost`(self)` Return a tuple describing out side of the connection. (inherited from `SSHChannel`)
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection. (inherited from `SSHChannel`)
| ``loseConnection`(self)` Close the channel.
| ``openFailed`(self, reason)` Called when the the open failed for some reason. (inherited from `SSHChannel`)
| `request_exec(self, data)`
| `request_pty_req(self, data)`
| `request_shell(self, data)`
| `request_subsystem(self, data)`
| `request_window_change(self, data)`
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel. (inherited from `SSHChannel`)
| `setModes(self)`
| ``subsystem_python`(self)` This is disabled by default, because it allows access to a python shell running as the owner of the process.
| ``write`(self, data)` Write some data to the channel. (inherited from `SSHChannel`)
| ``writeExtended`(self, dataType, data)` Send extended data to this channel. (inherited from `SSHChannel`)
| ``writeSequence`(self, data)` Part of the Transport interface. (inherited from `SSHChannel`)

Class Variable Summary
`string` | `name`

Method Details

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.eofReceived` (inherited documentation)

### extReceived(self, dataType, data)

Called when we receive extended data (usually standard error).

  Parameters:
    `dataType`
    (type=`int`)
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.extReceived` (inherited documentation)

### loseConnection(self)

Close the channel.

  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.loseConnection` (inherited documentation)

### subsystem_python(self)

This is disabled by default, because it allows access to a python shell running as the owner of the process.

Class Variable Details

### name

  Type:
    `string`
  Value:

        'session'

Generated by Epydoc 1.1 on Sat Feb 15 21:17:48 2003 | http://epydoc.sf.net